%define name docear
%define version 1.2.0
%define stablebuildtag .0_stable_build291
%define sname %{name}_linux
%define release %mkrel 1

Summary:	Academic literature suite
Summary(de):	Programm zum Erstellen akademischer Literatur
Name:		%name
Version:	%version
Release:	%release
Group:		Publishing
License:	GPL v2
URL:		http://www.docear.org/
Source:		http://docear.org/download/%sname.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	java

%description
Docear (an allusion to ‘dog-ear’) is what we call an “academic literature suite”. 
It integrates everything you need to search, organize and create academic literature 
in a single application: a digital library, reference manager, PDF and file manager,
note taking and mind mapping. And the best: Docear works seamlessly with many 
existing tools like Mendeley, Microsoft Word, and Foxit Reader.

Docear is free and open source, based on Freeplane, funded by the German Federal 
Ministry of Technology and developed by scientists from around the world, among 
others from OvGU, and the University of California, Berkeley.

%description -l de
Docear (eine Anspielung auf 'dog-ear') ist das, was wir eine "akademische Literatur-Suite"
nennen. Alles was Sie zum suchen, organisieren und erstellen wissenschaftlichen Literatur 
brauchen, ist in einer einzigen Anwendung integriert: eine digitale Bibliothek, Referenzen 
Manager, PDF und Datei-Manager, Notizen und Mindmapping. Und das beste: Docear arbeitet 
nahtlos mit vielen vorhandenen Tools wie CiteProc, Microsoft Word und Foxit Reader.

Docear ist kostenlos und Open Source, auf der Grundlage von Freeplane, finanziert
durch das Bundesministerium für Wirtschaft und Technologie und entwickelt von 
Wissenschaftlern auf der ganzen Welt, unter anderem von OvGU und der Universität 
von Californien, Berkeley.

%prep
%setup -q -n %name-%version%stablebuildtag

%build
%install
rm -rf %{buildroot}
rm -rf gitinfo.txt
# remove windows binary
rm -f docearConsole.exe

mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/doc/%name
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/%name

cp -r * %{buildroot}%{_datadir}/%name
cp docear.png %{buildroot}%{_datadir}/pixmaps

cat > %{buildroot}%{_bindir}/%name << EOF
#!/bin/sh
/usr/share/%name/%name.sh
EOF

chmod +x %{buildroot}%{_bindir}/%name

# create desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=Docear
Comment=Academic literature suite
Comment[de]=Programm zum Erstellen akademischer Literatur
Categories=Application;X-MandrivaLinux-Office-Publishing;
Exec=%name
Icon=%name
Terminal=false
Type=Application
EOF

chmod +x %{buildroot}%{_datadir}/applications/%name.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc license.txt doc/*
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%name/*
%{_datadir}/pixmaps/%name.png

%changelog
* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2016
- 1.2.0

* Sat Jun 21 2014 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2014
- 1.1.0

* Mon Feb 24 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.3-1pclos2014
- 1.0.3 (stable build)

* Mon Feb 03 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2014
- 1.0.2 (stable build)

* Wed Jul 25 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-2pclos2012
- process

* Wed Jul 25 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.0-2pclos2012
- update to beta 4

* Tue Jun 05 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-1pclos2012
- process

* Tue Jun 05 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.0-1pclos2012
- initial import for pclos
